@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
add_filter('wpcf7_validate_textarea*', function($result, $tag) {

    $value = isset($_POST[$tag->name]) ? $_POST[$tag->name] : '';

    // 日本語が1文字も含まれていない場合は拒否
    if (!preg_match('/[ぁ-んァ-ン一-龠]/u', $value)) {
        $result->invalidate($tag, "日本語でお問い合わせください。");
    }

    return $result;

}, 10, 2);
add_filter('wpcf7_validate_text*', function($result, $tag) {

    if ($tag->name === 'your-subject') {
        $value = isset($_POST[$tag->name]) ? $_POST[$tag->name] : '';

        if (!preg_match('/[ぁ-んァ-ン一-龠]/u', $value)) {
            $result->invalidate($tag, "題名は日本語で入力してください。");
        }
    }

    return $result;

}, 10, 2);